- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CHorizontalSlider Class Reference

a horizontal slider control More...

`#include <vstcontrols.h>`

Inheritance diagram for CHorizontalSlider:

List of all members.

## Public Member Functions
| CHorizontalSlider (const CRect &size, CControlListener *listener, long tag, long iMinPos, long iMaxPos, CBitmap *handle, CBitmap *background, CPoint &offset, const long style=kRight)
| CHorizontalSlider (const CRect &rect, CControlListener *listener, long tag, CPoint &offsetHandle, long rangeHandle, CBitmap *handle, CBitmap *background, CPoint &offset, const long style=kRight)

## Detailed Description

a horizontal slider control

This is the horizontal slider. See CSlider.

## Constructor & Destructor Documentation

CHorizontalSlider::CHorizontalSlider | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | long | iMinPos,
|  | long | iMaxPos,
|  | CBitmap * | handle,
|  | CBitmap * | background,
|  | CPoint & | offset,
|  | const long | style = `kRight`
| ) |

CHorizontalSlider::CHorizontalSlider | ( | const CRect & | rect,
|  | CControlListener * | listener,
|  | long | tag,
|  | CPoint & | offsetHandle,
|  | long | rangeHandle,
|  | CBitmap * | handle,
|  | CBitmap * | background,
|  | CPoint & | offset,
|  | const long | style = `kRight`
| ) |

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.